- module: windows
  metricsets: ["perfmon"]
  period: 10s
  perfmon.ignore_non_existent_counters: true
  perfmon.counters:
  - instance_label: processor.name
    instance_name: total
    measurement_label: processor.time.total.pct
    query: '\Processor Information(_Total)\% Processor Time'
  
  - instance_label: terminal_services.name
    instance_name: global
    measurement_label: terminal_services.total_sessions
    query: '\Terminal Services\Total Sessions'
  
  - instance_label: terminal_services.name
    instance_name: global
    measurement_label: terminal_services.inactive_sessions
    query: '\Terminal Services\Inactive Sessions'
  
  - instance_label: terminal_services.name
    instance_name: global
    measurement_label: terminal_services.active_sessions
    query: '\Terminal Services\Active Sessions'
  
  - instance_label: security.name
    instance_name: global
    measurement_label: security.ntlm_auth
    query: '\Security System-Wide Statistics\NTLM Authentications'
  
  - instance_label: security.name
    instance_name: global
    measurement_label: security.krb_auth
    query: '\Security System-Wide Statistics\Kerberos Authentications'
  
  - instance_label: logical_disk.name
    measurement_label: logical_disk.pct_free
    query: '\LogicalDisk(*)\% Free Space'
  
  - instance_label: logical_disk.name
    measurement_label: logical_disk.free_mb
    query: '\LogicalDisk(*)\Free Megabytes'
  
  - instance_label: logical_disk.name
    measurement_label: logical_disk.avg_rd_queue
    query: '\LogicalDisk(*)\Avg. Disk Read Queue Length'
  
  - instance_label: logical_disk.name
    measurement_label: logical_disk.avg_wr_queue
    query: '\LogicalDisk(*)\Avg. Disk Write Queue Length'
  
  - instance_label: logical_disk.name
    measurement_label: logical_disk.avg_sec_per_rd
    query: '\LogicalDisk(*)\Avg. Disk Sec/Read'
  
  - instance_label: logical_disk.name
    measurement_label: logical_disk.avg_sec_per_wr
    query: '\LogicalDisk(*)\Avg. Disk Sec/Write'
  
  - instance_label: logical_disk.name
    measurement_label: logical_disk.rd_per_sec
    query: '\LogicalDisk(*)\Disk Reads/Sec'
  
  - instance_label: logical_disk.name
    measurement_label: logical_disk.wr_per_sec
    query: '\LogicalDisk(*)\Disk Writes/Sec'
  
  - instance_label: physical_disk.name
    measurement_label: physical_disk.avg_rd_queue
    query: '\PhysicalDisk(*)\Avg. Disk Read Queue Length'
  
  - instance_label: physical_disk.name
    measurement_label: physical_disk.avg_wr_queue
    query: '\PhysicalDisk(*)\Avg. Disk Write Queue Length'
  
  - instance_label: physical_disk.name
    measurement_label: physical_disk.avg_sec_per_rd
    query: '\PhysicalDisk(*)\Avg. Disk Sec/Read'
  
  - instance_label: physical_disk.name
    measurement_label: physical_disk.avg_sec_per_wr
    query: '\PhysicalDisk(*)\Avg. Disk Sec/Write'
  
  - instance_label: physical_disk.name
    measurement_label: physical_disk.rd_per_sec
    query: '\PhysicalDisk(*)\Disk Reads/Sec'
  
  - instance_label: physical_disk.name
    measurement_label: physical_disk.wr_per_sec
    query: '\PhysicalDisk(*)\Disk Writes/Sec'
  
  - instance_label: cpu.name
    measurement_label: cpu.pct_cpu
    query: '\Processor(*)\% Processor Time'
  
  - instance_label: cpu.name
    measurement_label: cpu.pct_user
    query: '\Processor(*)\% User Time'
  
  - instance_label: cpu.name
    measurement_label: cpu.pct_priv
    query: '\Processor(*)\% Privileged Time'
  
  - instance_label: cpu.name
    measurement_label: cpu.int_per_sec
    query: '\Processor(*)\Interrupts/sec'
  
  - instance_label: mem.name
    instance_name: global
    measurement_label: mem.fault_per_sec
    query: '\Memory\Page Faults/sec'
  
  - instance_label: mem.name
    instance_name: global
    measurement_label: mem.available
    query: '\Memory\Available Bytes'
  
  - instance_label: mem.name
    instance_name: global
    measurement_label: mem.committed
    query: '\Memory\Committed Bytes'
  
  - instance_label: mem.name
    instance_name: global
    measurement_label: mem.commit_limit
    query: '\Memory\Commit Limit'
  
  - instance_label: obj.name
    instance_name: global
    measurement_label: obj.procs
    query: '\Objects\Processes'
  
  - instance_label: obj.name
    instance_name: global
    measurement_label: obj.threads
    query: '\Objects\Threads'
  
  - instance_label: obj.name
    instance_name: global
    measurement_label: obj.events
    query: '\Objects\Events'
  
  - instance_label: obj.name
    instance_name: global
    measurement_label: obj.semaphores
    query: '\Objects\Semaphores'
  
  - instance_label: pagefile.name
    measurement_label: pagefile.pct_usage
    query: '\Paging File(*)\% Usage'
  
  - instance_label: pagefile.name
    measurement_label: pagefile.pct_peak
    query: '\Paging File(*)\% Usage Peak'
  
  - instance_label: printer.name
    measurement_label: printer.total_jobs
    query: '\Print Queue(*)\Total Jobs Printed'
  
  - instance_label: printer.name
    measurement_label: printer.total_pages
    query: '\Print Queue(*)\Total Pages Printed'
  
  - instance_label: ipv4.name
    instance_name: global
    measurement_label: ipv4.dgram_hdr_err
    query: '\IPv4\Datagrams Received Header Errors'
  
  - instance_label: ipv4.name
    instance_name: global
    measurement_label: ipv4.dgram_addr_err
    query: '\IPv4\Datagrams Received Address Errors'
  
  - instance_label: icmp.name
    instance_name: global
    measurement_label: icmp.msg_per_sec
    query: '\ICMP\Messages/sec'
  
  - instance_label: tcpv4.name
    instance_name: global
    measurement_label: tcpv4.conn_est
    query: '\TCPv4\Connections Established'
  
  - instance_label: tcpv4.name
    instance_name: global
    measurement_label: tcpv4.conn_est
    query: '\TCPv4\Connections Active'
  
  - instance_label: tcpv4.name
    instance_name: global
    measurement_label: tcpv4.conn_est
    query: '\TCPv4\Connections Passive'

  - instance_label: mem.name
    instance_name: global
    measurement_label: mem.pages_per_sec
    query: '\Memory\Pages/sec'

  - instance_label: mem.name
    instance_name: global
    measurement_label: mem.pages_input_per_sec
    query: '\Memory\Pages Input/sec'

  - instance_label: mem.name
    instance_name: global
    measurement_label: mem.pages_output_per_sec
    query: '\Memory\Pages Output/sec'

  - instance_label: mem.name
    instance_name: global
    measurement_label: mem.page_rds_per_sec
    query: '\Memory\Page Reads/sec'

  - instance_label: mem.name
    instance_name: global
    measurement_label: mem.page_wrs_per_sec
    query: '\Memory\Page Writes/sec'

  - instance_label: mem.name
    instance_name: global
    measurement_label: mem.pool_paged
    query: '\Memory\Pool Paged Bytes'

  - instance_label: mem.name
    instance_name: global
    measurement_label: mem.pool_nonpaged
    query: '\Memory\Pool Nonpaged Bytes'
  
  - instance_label: network.name
    measurement_label: network.bytes_total_per_sec
    query: '\Network Interface(*)\Bytes Total/Sec'
  
  - instance_label: network.name
    measurement_label: network.bytes_sent_per_sec
    query: '\Network Interface(*)\Bytes Sent/Sec'
  
  - instance_label: network.name
    measurement_label: network.bytes_rcvd_per_sec
    query: '\Network Interface(*)\Bytes Received/Sec'

- module: windows
  metricsets: ["service"]
  period: 60s
